All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Class ServerVirtualFolder

    com.sas.services.information.metadata.ServerVirtualFolder

All Implemented Interfaces:
  FolderInterface, MetadataInterface, VirtualFolderInterface, MutableContainerInterface, PublicObjectContainerInterface, PublicObjectInterface, java.io.Serializable, java.rmi.Remote

    public class ServerVirtualFolder

implements java.io.Serializable

Represents the Server virtual folder.

Since:
  9.4
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.VirtualFolder
`_actionInterfaces, _id, _members, _name, _origSearchFilters, _parentFolder, _repository, _searchManager, _subFolders`

Fields inherited from interface com.sas.services.information.metadata.FolderInterface
`FOLDER_TYPE_BIP`

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Constructor Summary
`ServerVirtualFolder(java.lang.String id, java.lang.String name, FolderInterface parentFolder)`

Method Summary
`java.util.List<PublicObjectInterface>` | `getChildren()` Get a List of the children of this container.

Methods inherited from class com.sas.services.information.metadata.VirtualFolder
`addChild, addItem, addNewItem, addSubfolder, addSubfolder, deleteItem, deleteSubfolder, getChildAt, getChildCount, getChildren, getContainer, getContentCreateDate, getContentInfo, getContentModifyDate, getFolderType, getIdentifier, getItem, getItemByClass, getItemByType, getItems, getItemsByClass, getItemsByType, getItemSublist, getItemSublist, getName, getOriginalFilters, getParent, getPath, getPathUrl, getProcessorInterface, getPublicTypeItem, getReposId, getRepository, getSearchManager, getSubfolder, getSubfolders, getTotalNumberOfItems, getType, getTypeDescriptor, hasDuplicate, hasDuplicateSubfolder, insertChild, isEmpty, isItemNameUnique, makeSubfolder, makeSubfolder, moveMembersOnOverflow, newChild, refresh, removeChild, removeItem, removeSubfolder, setContentCreateDate, setContentModifyDate, setFolderType, setRepository, setSearchManager, toString`

Methods inherited from class com.sas.services.information.metadata.VirtualMetadata
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParentPath, getParents, getPath, getPaths, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getObjectURI`

Constructor Detail

### ServerVirtualFolder

    public ServerVirtualFolder(java.lang.String id,
                               java.lang.String name,
                               FolderInterface parentFolder)

Method Detail

### getChildren

    public java.util.List<PublicObjectInterface> getChildren()
                                                      throws ServiceException,
                                                             java.rmi.RemoteException

  Description copied from interface: `PublicObjectContainerInterface`
  Get a List of the children of this container.

  Specified by:
    `getChildren` in interface `PublicObjectContainerInterface`
  Overrides:
    `getChildren` in class `VirtualFolder`
  Returns:
    All child nodes below this container. For folder, this includes subfolders and members.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.